Add/Delete/Update additional permission.
curl --request PUT \
--url https://{tenant}/api/org/permissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"additional_permissions": {
"api_developer": "API Developer",
"api_manager": "API Manager",
"custom_permission": "Custom Permission"
}
}
'import requests
url = "https://{tenant}/api/org/permissions"
payload = { "additional_permissions": {
"api_developer": "API Developer",
"api_manager": "API Manager",
"custom_permission": "Custom Permission"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
additional_permissions: {
api_developer: 'API Developer',
api_manager: 'API Manager',
custom_permission: 'Custom Permission'
}
})
};
fetch('https://{tenant}/api/org/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Message": "Additional Permissions updated in org level.",
"Meta": null,
"Status": "OK"
}{
"Message": "Failed to read response body.",
"Meta": null,
"Status": "Error"
}{
"Message": "Not authorised",
"Meta": null,
"Status": "Error"
}{
"Message": "access denied: You do not have permission to access /api/org/permissions",
"Meta": null,
"Status": "Error"
}{
"Message": "Failed to unmarshal response body.",
"Meta": null,
"Status": "Error"
}Additional Permissions
Add/Delete/Update additional permission.
Whenever you want to add/update/delete an additional permission, just send back the updated list of permissions, through this PUT request to the API. For example if you initially had two additional permissions e.g {additional_permissions: {api_developer: API Developer, api_manager: API Manager}} to add a third permission called custom_permission you would append it to the original permission list and your request body would be: {additional_permissions: {api_developer: API Developer, api_manager: API Manager, custom_permission: Custom Permission}}.
PUT
/
api
/
org
/
permissions
Add/Delete/Update additional permission.
Authorizations
The Tyk Dashboard API Access Credentials
Body
application/json
Show child attributes
Show child attributes
Example:
{ "api_developer": "API Developer", "api_manager": "API Manager", "custom_permission": "Custom Permission" }
Was this page helpful?
⌘I